#include <bits/stdc++.h>

typedef long long ll;
using namespace std;

void solve()
{
	string tekst, zabranjen;
	cin >> tekst >> zabranjen;
	string newTekst;
	int n = zabranjen.size();
	ll ans = 0;
	for (int i = 0; i < tekst.size(); i++)
	{
		bool flag = false;
		for (int j = 0; j < n; j++)
		{
			if (tekst[i] == zabranjen[j])
			{
				flag = true;
				break;
			}
		}
		newTekst += tekst[i];
	}
	if (zabranjen == "a")
	{
		for (int i = 0; i < tekst.size(); i++)
		{
			if (tekst[i] == 'a')
			{
				tekst[i] = '*';
				ans++;
			}
		}

	}
	
	else
	{
		bool flag = true;
		for (int i = 0; i < n; i++)
		{
			if (zabranjen[i] != 'a')
			{
				flag = false;
			}
		}
		
		if(flag) {
			int brA = 0;
			for (int i = 0; i < tekst.size(); i++)
			{
				if (tekst[i] == 'a')
				{
					brA++;
				}
			}
			ans = max(brA - n + 1, 0);
			if (brA >= n)
			{
				for (int i = 0; i < tekst.size(), brA >= n; i++)
				{
					if (tekst[i] == 'a')
					{
						brA--;
						tekst[i] = '*';
					}
				}
			}
		}
		
		
		else if (zabranjen == "ab")
		{
			bool first = true;
			int startI = -1;
			int endI = -1;
			for (int i = 0; i < tekst.size(); i++)
			{
				if (tekst[i] == 'a')
				{
					startI = i;
					break;
				}
			}
			for (int i = tekst.size()-1; i >= 0; i--)
			{
				if (tekst[i] == 'b') 
				{
					endI = i;
					break;
				}
			}
			
			for (int i = startI; i <= endI; i++)
			{
				if (tekst[i] == 'a')
				{
					
				}
				else if (tekst[i] == 'b')
				{
					
				}
			}
		}
		
		else if (zabranjen == "abc")
		{
			
		}
		
		else
		{
			
		}
	}
	cout << ans << "\n";
	cout << tekst << "\n";
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	solve();
	return 0;
}